<?php

namespace EnumType;

/**
 * This class stands for OdpStatusEnum EnumType
 * @subpackage Enumerations
 */
class OdpStatusEnum
{
    /**
     * Constant for value 'Poprawny'
     * @return string 'Poprawny'
     */
    const VALUE_POPRAWNY = 'Poprawny';
    /**
     * Constant for value 'Brak danych'
     * @return string 'Brak danych'
     */
    const VALUE_BRAK_DANYCH = 'Brak danych';
    /**
     * Constant for value 'Usługa niedostępna'
     * @return string 'Usługa niedostępna'
     */
    const VALUE_US_ŁUGA_NIEDOST_ĘPNA = 'Usługa niedostępna';
    /**
     * Constant for value 'Przekroczono limit wywołań usługi'
     * @return string 'Przekroczono limit wywołań usługi'
     */
    const VALUE_PRZEKROCZONO_LIMIT_WYWO_ŁA_Ń_US_ŁUGI = 'Przekroczono limit wywołań usługi';
    /**
     * Constant for value 'Niepoprawna autoryzacja'
     * @return string 'Niepoprawna autoryzacja'
     */
    const VALUE_NIEPOPRAWNA_AUTORYZACJA = 'Niepoprawna autoryzacja';
    /**
     * Constant for value 'Niepoprawny adres IP'
     * @return string 'Niepoprawny adres IP'
     */
    const VALUE_NIEPOPRAWNY_ADRES_IP = 'Niepoprawny adres IP';
    /**
     * Return true if value is allowed
     * @uses self::getValidValues()
     * @param mixed $value value
     * @return bool true|false
     */
    public static function valueIsValid($value)
    {
        return ($value === null) || in_array($value, self::getValidValues(), true);
    }
    /**
     * Return allowed values
     * @uses self::VALUE_POPRAWNY
     * @uses self::VALUE_BRAK_DANYCH
     * @uses self::VALUE_US_ŁUGA_NIEDOST_ĘPNA
     * @uses self::VALUE_PRZEKROCZONO_LIMIT_WYWO_ŁA_Ń_US_ŁUGI
     * @uses self::VALUE_NIEPOPRAWNA_AUTORYZACJA
     * @uses self::VALUE_NIEPOPRAWNY_ADRES_IP
     * @return string[]
     */
    public static function getValidValues()
    {
        return array(
            self::VALUE_POPRAWNY,
            self::VALUE_BRAK_DANYCH,
            self::VALUE_US_ŁUGA_NIEDOST_ĘPNA,
            self::VALUE_PRZEKROCZONO_LIMIT_WYWO_ŁA_Ń_US_ŁUGI,
            self::VALUE_NIEPOPRAWNA_AUTORYZACJA,
            self::VALUE_NIEPOPRAWNY_ADRES_IP,
        );
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
