<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for odpDane StructType
 * Meta information extracted from the WSDL
 * - type: oferta:odpDane
 * @subpackage Structs
 */
class OdpDane extends AbstractStructBase
{
    /**
     * The Status
     * @var string
     */
    public $Status;
    /**
     * The Plik
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\PlikTyp
     */
    public $Plik;
    /**
     * Constructor method for odpDane
     * @uses OdpDane::setStatus()
     * @uses OdpDane::setPlik()
     * @param string $status
     * @param \StructType\PlikTyp $plik
     */
    public function __construct($status = null, \StructType\PlikTyp $plik = null)
    {
        $this
            ->setStatus($status)
            ->setPlik($plik);
    }
    /**
     * Get Status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @uses \EnumType\OdpStatusEnum::valueIsValid()
     * @uses \EnumType\OdpStatusEnum::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $status
     * @return \StructType\OdpDane
     */
    public function setStatus($status = null)
    {
        // validation for constraint: enumeration
        if (!\EnumType\OdpStatusEnum::valueIsValid($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \EnumType\OdpStatusEnum', is_array($status) ? implode(', ', $status) : var_export($status, true), implode(', ', \EnumType\OdpStatusEnum::getValidValues())), __LINE__);
        }
        $this->Status = $status;
        return $this;
    }
    /**
     * Get Plik value
     * @return \StructType\PlikTyp|null
     */
    public function getPlik()
    {
        return $this->Plik;
    }
    /**
     * Set Plik value
     * @param \StructType\PlikTyp $plik
     * @return \StructType\OdpDane
     */
    public function setPlik(\StructType\PlikTyp $plik = null)
    {
        $this->Plik = $plik;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\OdpDane
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
